Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# Oscl_Int64_Utils Class Reference

The Oscl_Int64_Utils class provides a wrapper for commonly used int64/uint64 operations. More...

`#include <oscl_int64_utils.h>`

## Static Public Methods
OSCL_IMPORT_REF void | set_int64 (int64 &input_value, const int32 upper, const uint32 lower)
OSCL_IMPORT_REF int32 | get_int64_upper32 (const int64 &input_value)
OSCL_IMPORT_REF uint32 | get_int64_lower32 (const int64 &input_value)
OSCL_IMPORT_REF uint32 | get_int64_middle32 (const int64 &input_value)
OSCL_IMPORT_REF void | set_uint64 (uint64 &input_value, const uint32 upper, const uint32 lower)
OSCL_IMPORT_REF uint32 | get_uint64_upper32 (const uint64 &input_value)
OSCL_IMPORT_REF uint32 | get_uint64_lower32 (const uint64 &input_value)
OSCL_IMPORT_REF uint32 | get_uint64_middle32 (const uint64 &input_value)

## Detailed Description

The Oscl_Int64_Utils class provides a wrapper for commonly used int64/uint64 operations.

The Oscl_Int64_Utils class:

Provides a wrapper for commonly used operations to mask the differences between OSes that have an int64/uint64 class instead of a 64-bit integer.

## Member Function Documentation

OSCL_IMPORT_REF uint32 Oscl_Int64_Utils::get_int64_lower32 | ( | const int64 & | input_value | ) | `[static]`

OSCL_IMPORT_REF uint32 Oscl_Int64_Utils::get_int64_middle32 | ( | const int64 & | input_value | ) | `[static]`

OSCL_IMPORT_REF int32 Oscl_Int64_Utils::get_int64_upper32 | ( | const int64 & | input_value | ) | `[static]`

OSCL_IMPORT_REF uint32 Oscl_Int64_Utils::get_uint64_lower32 | ( | const uint64 & | input_value | ) | `[static]`

OSCL_IMPORT_REF uint32 Oscl_Int64_Utils::get_uint64_middle32 | ( | const uint64 & | input_value | ) | `[static]`

OSCL_IMPORT_REF uint32 Oscl_Int64_Utils::get_uint64_upper32 | ( | const uint64 & | input_value | ) | `[static]`

OSCL_IMPORT_REF void Oscl_Int64_Utils::set_int64 | ( | int64 & | input_value,
|  | const int32 | upper,
|  | const uint32 | lower
| ) | `[static]`

OSCL_IMPORT_REF void Oscl_Int64_Utils::set_uint64 | ( | uint64 & | input_value,
|  | const uint32 | upper,
|  | const uint32 | lower
| ) | `[static]`

The documentation for this class was generated from the following file:

- oscl_int64_utils.h